import { OnboardingIconConfiguration } from './models/onboarding-icon-configuration.interface';
import { OnboardingService } from './services/onboarding.service';
import * as i0 from "@angular/core";
/**
 * onboarding button including context menu (see header.component in rolib/navigation)
 */
export declare class OnboardingButtonComponent {
    private onboardingService;
    /** used by template to apply the customizations on icons */
    iconConfig: OnboardingIconConfiguration;
    constructor(onboardingService: OnboardingService);
    /**
     * if true, the count is visible
     * is true, if the onboarding service is disabled and at least one onboarding item is visible
     */
    get showOnboardingItemCount(): boolean;
    /**
     * gets the visible item count
     */
    get onboardingItemCount(): number;
    /**
     * used by template
     * enables the onboarding service
     */
    enableOnboarding(): void;
    /**
     * disables the onboarding service
     */
    disableOnboarding(): void;
    /**
     * resets the onboarding service
     * removes all selectors from seen selectors
     */
    clearOnboarding(): void;
    /**
     * is true, if the onboarding service is enabled
     */
    isOnboardingEnabled(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<OnboardingButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OnboardingButtonComponent, "rosen-onboarding-button", never, {}, {}, never, never, false, never>;
}
