import { VisibleOnboardingItem } from './models/visible-onboarding-item.model';
import { TranslatorBaseService } from './services/translator-base.service';
import { WindowRef } from './services/window-ref.service';
import * as i0 from "@angular/core";
/**
 * used by onboarding component
 * shows the headline and detail text of the OnboardingItem
 * calculates the positions of the item
 */
export declare class OnboardingItemComponent {
    private translatorService;
    private windowRef;
    /**
     * the onboarding item with headline and text and the target html element
     */
    item: VisibleOnboardingItem;
    /**
     * the onboarding item container
     * used to calculate the position
     */
    private container;
    constructor(translatorService: TranslatorBaseService, windowRef: WindowRef);
    /**
     * calculates the position of the OnboardingItemComponent
     */
    getStyle(): {
        left: string;
        transform: string;
        top: string;
    };
    getHeadline(): string;
    getDetails(): string;
    getTextAlignClass(): string;
    private getContainerWidth;
    private getContainerHeight;
    private getWindowScreenWidth;
    private getWindowScreenHeight;
    static ɵfac: i0.ɵɵFactoryDeclaration<OnboardingItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OnboardingItemComponent, "rosen-onboarding-item", never, { "item": { "alias": "item"; "required": false; }; }, {}, never, never, false, never>;
}
