import { TranslatorBaseService } from './translator-base.service';
import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Service for the translations of internal text
 */
export declare class BuildInTranslatorService extends TranslatorBaseService {
    /**
     *  An EventEmitter to listen to lang change events.
     *  A LangChangeEvent is an object with the minimium properties lang: string (where lang is the new language code)
     */
    onLangChange: EventEmitter<{
        lang: string;
    }>;
    private translations;
    /**
     * The language (code) currently used
     */
    get currentLang(): string;
    /**
     * Returns a translation instantly from the internal state of loaded translation.
     */
    instant(key: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<BuildInTranslatorService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BuildInTranslatorService>;
}
