import { SeenSelectorsBaseService } from './seen-selectors-base.service';
import { ErrorHandler } from '@angular/core';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
/**
 * Stores the seen onboarding items to the local storage
 *
 * If you want to implement an own service to store the data e.g. in a database you can extend
 * your own service from theSeenSelectorsBaseService and use the provide feature in your app.module with
 * {provide: SeenSelectorsBaseService, useClass: YourOwnSeenSelectorsService}
 */
export declare class LocalStorageSeenSelectorsService extends SeenSelectorsBaseService {
    private errorHandler;
    constructor(errorHandler: ErrorHandler);
    /**
     * loads seen items from localStorage
     * @returns string array of all seen selectors
     */
    load(): Observable<Array<string>>;
    /**
     * save items to localStorage
     * @returns success of the operation (true = good, false = failed)
     */
    save(seenSelectors: Array<string>): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LocalStorageSeenSelectorsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LocalStorageSeenSelectorsService>;
}
